/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.light-style .menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo {
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -ms-flexbox;
  display: flex;
}

.app-brand-logo.demo svg {

}

.app-brand-text.demo {
  font-size: 1.375rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 78px !important;
}
/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}


/* Custom section **/
.button-column .link-danger:hover, .button-column .link-danger:focus {
  color: #d34c4d !important;
  background-color: #fce5e6 !important;
}

.form-control[readonly] {
  background-color: rgba(75, 70, 92, 0.08);
  opacity: 1;
}

.bs-stepper.dictionary-stepper .step.crossed .step-trigger .bs-stepper-circle{
  background-color: #f1f0f2 !important;
  color: #6f6b7d !important;
}

.light-style .bs-stepper.dictionary-stepper .bs-stepper-header .step.crossed .bs-stepper-label{
  color: #5d596c !important;
}
.light-style .bs-stepper.dictionary-stepper .bs-stepper-header .step.crossed .bs-stepper-title{
  color: #5d596c !important;
}

.hidden{
  display: none !important;
}

.dictionary-card{
  box-shadow: none !important;
}

.ti-xs{font-size:1.125rem !important}
.ti-sm{font-size:1.376rem !important}
.ti-md{font-size:1.625rem !important}
.ti-lg{font-size:2rem !important}
.ti-xl{font-size:2.25rem !important}

/*---------orgchart----------*/
.orgchart {
  background-image: none;
  width: 100%;
  min-height: auto !important;
}
.orgchart table:first-child{
  width: 100%;
}
.orgchart.edit-state {
  width: 100%;
}
.orgchart .node {
  border:0;
  padding: 0;
  background-color: #088fcc;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
}
.orgchart .node .title {
  height: 30px;
  border-radius: 0;
  line-height: 30px;
}
.orgchart_page .modal-content a {
  float: right;
  margin-left: 6px;
  margin-bottom: 20px;
}
.orgchart_page .modal-content>p {
  width: 100%;
  float: left;
}
.orgchart_page .modal-footer a {
  float: right;
}
.oc-export-btn.edit-state {
  display: none;
}
.orgchart .node .title {
  cursor: pointer;
  height: 36px;
  line-height: 36px;
  overflow: unset;
  box-shadow: none;
  background-color: #03a9f4;
}
.orgchart .lines .leftLine , .orgchart .lines .rightLine {
  border-color: #088fcc;
}
.orgchart .lines .downLine {
  background-color: #088fcc;
}
.orgchart .node > i.material-icons {
  position: absolute;
  top: 12px;
  font-size: 12px;
  right: 6px;
  color: #fff;
  cursor: pointer;
}
/*.orgchart .node>a {
  color: #fff;
  padding: 2px 10px;
  border-top: 1px solid #2196F3;
  font-size: 12px;
  width: 50%;
  float: left;
  background-color: #03a9f4;
}*/
.orgchart .node .edge{
  display: none;
}
.node.card{
  background-color: #fff;
  width: auto;
  min-width: 155px;
}
/*.node.card .card-content{
  padding: 10px !important;
}*/
.node.card .card-content .card-title{
  margin: 0;
  font-size: 12px;
}

.orgchart .node:hover {
  background-color: #fff;
  cursor: default;
  z-index: 20;
}

.orgchart .node.focused {
  background-color: #fff;
}
.orgchart .node.card {
  overflow:initial;
}
.orgchart .node .btn_options_dropdown {
  float: right;
  height: 32px;
  width: 32px;
  margin-left: 5px;
}

.nodes .node.card.index_numbers {
  min-width: 30px;
  margin-left: 3px;
}

.nodes .node.card.index_row_num {
  min-width: 30px;
  margin-left: 3px;
}

.nodes .node.card.index_name {
  margin-left: 3px;
}

.nodes .node.card .title{
  height: 25px;
  line-height: 25px;
}

.node.card .title .symbol{
  display: none;
}
.orgchart > table:first-child > tr:not('.nodes'){
  display: none;
}

.index_numbers, index_name{
  padding: 0px !important;
}

.orgchart .lines:nth-child(3) td{
  height: 10px !important;
}

.nodes .node.card.index_row_num .card-content .card-title{
  font-size: 20px;
}

.nodes .node.card.index_row_delete{
  min-width: 80px;
  margin-right: 10px;
}

.nodes .node.card.index_row_delete a{
  width: 100%;
  height: 30px;
}

.select2-grouped{
  width: calc( 100% - 61px );
}
.select2-grouped .select2-container--default .select2-selection--single{
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.select2-grouped .select2-container--default .select2-selection--single{
  height: calc(1.5em + 0.844rem + 4px) !important;
}
